Package com.pixelmed.display.event

# Class VOIFunctionChangeEvent

java.lang.Object
com.pixelmed.event.Event
com.pixelmed.display.event.VOIFunctionChangeEvent

public class VOIFunctionChangeEvent extends Event

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`linearFunction`
`static final String`
`logisticFunction`

## Constructor Summary

Constructors
Constructor
Description
`VOIFunctionChangeEvent(EventContext eventContext, String function)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFunction()`
`boolean`
`isLinearFunction()`
`boolean`
`isLogisticFunction()`

### Methods inherited from class com.pixelmed.event.Event

`getEventContext`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### linearFunction

public static final String linearFunction

See Also:
  - Constant Field Values

### logisticFunction

public static final String logisticFunction

See Also:
  - Constant Field Values

## Constructor Details

### VOIFunctionChangeEvent

public VOIFunctionChangeEvent(EventContext eventContext, String function)

Parameters:
  `eventContext` -
  `function` -

## Method Details

### getFunction

public String getFunction()

### isLinearFunction

public boolean isLinearFunction()

### isLogisticFunction

public boolean isLogisticFunction()